Bug 113302

Summary: Remove ResourceLoadInfo
Product: WebKit Reporter: Chris Dumez <cdumez>
Component: WebCore Misc.Assignee: Chris Dumez <cdumez>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, ap, beidson, benjamin, eric, japhet, koivisto, laszlo.gombos, rniwa, sam, schenney, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Cleanup benjamin: review+

Description Chris Dumez 2013-03-26 06:09:14 PDT
The ResourceLoadInfo class has been there for a long time but is still only used by Chromium port. However, the code using ResourceLoadInfo (and ResourceLoadInfo class itself) is compiled for all the ports.

We could move ResourceLoadInfo class to platform/network/chromium folder, and move the related getters / setters from ResourceResponseBase to Chromium's ResourceResponse. There seems to be no point compiling this code for other ports at the moment.
Comment 1 Chris Dumez 2013-03-26 06:36:59 PDT
Created attachment 195076 [details]
Patch
Comment 2 Adam Barth 2013-03-30 11:26:45 PDT
Comment on attachment 195076 [details]
Patch

I don't see the benefit of this change.
Comment 3 Ryosuke Niwa 2013-04-08 17:21:51 PDT
Now that Chromium port no longer exists, we should just remove ResourceLoadInfo.
Comment 4 Ryosuke Niwa 2013-04-11 17:04:03 PDT
Created attachment 197700 [details]
Cleanup
Comment 5 Benjamin Poulain 2013-04-11 17:07:31 PDT
Comment on attachment 197700 [details]
Cleanup

View in context: https://bugs.webkit.org/attachment.cgi?id=197700&action=review

> Source/WebCore/inspector/InspectorResourceAgent.cpp:152
> +    String statusText = response.httpStatusText();

const String& statusText
Comment 6 Ryosuke Niwa 2013-04-11 17:10:03 PDT
Comment on attachment 197700 [details]
Cleanup

View in context: https://bugs.webkit.org/attachment.cgi?id=197700&action=review

>> Source/WebCore/inspector/InspectorResourceAgent.cpp:152
>> +    String statusText = response.httpStatusText();
> 
> const String& statusText

I've removed this local variable and directly called response.httpStatusText() when we call setHeaders.
Comment 7 Ryosuke Niwa 2013-04-11 17:49:16 PDT
Committed r148256: <http://trac.webkit.org/changeset/148256>